<?php
/**
 * @var \MODX\Revolution\modX $modx
 * @var array $namespace
 */

// Add your classes to modx's autoloader
\MODX\Revolution\modX::getLoader()->addPsr4('botOffPhone\\', $namespace['path'] . 'src/');

if (!$modx->services->has('botoffphone')) {
    // Register base class in the service container
    $modx->services->add('botoffphone', function($c) use ($modx) {
        return new \botOffPhone\botOffPhone($modx);
    });

    // Load packages model, uncomment if you have DB tables
    //$modx->addPackage('botOffPhone\Model', $namespace['path'] . 'src/', null, 'botOffPhone\\');
}
