<?php
require_once dirname(dirname(__FILE__)) . '/index.class.php';

class botOffPhoneManageManagerController extends botOffPhoneBaseManagerController
{

    public function process(array $scriptProperties = []): void
    {
    }

    public function getPageTitle(): string
    {
        return $this->modx->lexicon('botoffphone');
    }

    public function loadCustomCssJs(): void
    {
        $this->addLastJavascript($this->botoffphone->getOption('jsUrl') . 'mgr/widgets/manage.panel.js');
        $this->addLastJavascript($this->botoffphone->getOption('jsUrl') . 'mgr/sections/manage.js');

        $this->addHtml(
            '
            <script type="text/javascript">
                Ext.onReady(function() {
                    MODx.load({ xtype: "botoffphone-page-manage"});
                });
            </script>
        '
        );
    }

    public function getTemplateFile(): string
    {
        return $this->botoffphone->getOption('templatesPath') . 'manage.tpl';
    }

}
