<?php
abstract class botOffPhoneBaseManagerController extends modExtraManagerController {
    /** @var \botOffPhone\botOffPhone $botoffphone */
    public $botoffphone;

    public function initialize(): void
    {
        $this->botoffphone = $this->modx->services->get('botoffphone');

        $this->addCss($this->botoffphone->getOption('cssUrl') . 'mgr.css');
        $this->addJavascript($this->botoffphone->getOption('jsUrl') . 'mgr/botoffphone.js');

        $this->addHtml('
            <script type="text/javascript">
                Ext.onReady(function() {
                    botoffphone.config = '.$this->modx->toJSON($this->botoffphone->config).';
                });
            </script>
        ');

        parent::initialize();
    }

    public function getLanguageTopics(): array
    {
        return array('botoffphone:default');
    }

    public function checkPermissions(): bool
    {
        return true;
    }
}
