<?php
$phone = $scriptProperties['phone'];
$class = isset($scriptProperties['class']) ? $scriptProperties['class'] : '';
$tel = isset($scriptProperties['tel']) ? (bool) $scriptProperties['tel'] : true;

if (empty($phone) || !preg_match('/^\+\d{1}\d{10}$/', $phone)) {
    return '';
}

$formattedPhone = '+7 (' . substr($phone, 2, 3) . ') ' . substr($phone, 5, 3) . '-' . substr($phone, 8);

$obfuscatedPhone = '';
for ($i = 0; $i < strlen($formattedPhone); $i++) {
    $obfuscatedPhone .= '&#' . ord($formattedPhone[$i]) . ';';
}

$obfuscatedTelPhone = '';
for ($i = 0; $i < strlen($phone); $i++) {
    $obfuscatedTelPhone .= '&#' . ord($phone[$i]) . ';';
}

if ($tel) {
    $obfuscatedTel = 't&#101;&#108;&#58;' . $obfuscatedTelPhone;
    $classAttribute = !empty($class) ? ' class="' . $class . '"' : '';
    $output = '<a href="' . $obfuscatedTel . '"' . $classAttribute . '>' . $obfuscatedPhone . '</a>';
} else {
    $output = $obfuscatedPhone;
}

return $output;